#ifndef %{APPNAME}IMPL_H
#define %{APPNAME}IMPL_H

#include <tqhbox.h>

#include <tqpe/inputmethodinterface.h>

class TQPixmap;
class TQCheckBox;
class %{APPNAME} : public TQHBox {
	TQ_OBJECT
  
public:
	%{APPNAME}( TQWidget *par, WFlags f );
	~%{APPNAME}();
	void resetState();
private slots:
	void slotKey(int);
	void slotShift(bool);
	void slotAlt(bool);
	void slotCtrl(bool);
signals:
	void key(ushort,ushort,ushort,bool,bool);
private:
	int m_state;
	TQCheckBox *m_alt,*m_shi,*m_ctrl;
};

class %{APPNAME}Impl : public InputMethodInterface
{
public:
    %{APPNAME}Impl();
    virtual ~%{APPNAME}Impl();

#ifndef TQT_NO_COMPONENT
    TQRESULT queryInterface( const TQUuid&, TQUnknownInterface** );
    TQ_REFCOUNT
#endif

    virtual TQWidget *inputMethod( TQWidget *parent, TQt::WFlags f );
    virtual void resetState();
    virtual TQPixmap *icon();
    virtual TQString name();
    virtual void onKeyPress( TQObject *receiver, const char *slot );

private:
    %{APPNAME} *m_pickboard;
    TQPixmap *m_icn;
};

#endif
